Package org.flowable.common.engine.api.delegate.event

# Class AbstractFlowableEventListener

java.lang.Object
org.flowable.common.engine.api.delegate.event.AbstractFlowableEventListener

All Implemented Interfaces:
  `FlowableEventListener`

Direct Known Subclasses:
  `AbstractFlowableEngineEventListener`, `BaseEntityEventListener`

public abstract class AbstractFlowableEventListener extends Object implements FlowableEventListener

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `onTransaction`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractFlowableEventListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOnTransaction()`
  `boolean`
  `isFireOnTransactionLifecycleEvent()`
  `void`
  `setOnTransaction(String onTransaction)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEventListener

  `getTypes, isFailOnException, onEvent`

- ## Field Details

  - ### onTransaction

    protected String onTransaction

- ## Constructor Details

  - ### AbstractFlowableEventListener

    public AbstractFlowableEventListener()

- ## Method Details

  - ### isFireOnTransactionLifecycleEvent

    public boolean isFireOnTransactionLifecycleEvent()
    Specified by:
      `isFireOnTransactionLifecycleEvent` in interface `FlowableEventListener`
    Returns:
      Returns whether this event listener fires immediately when the event occurs or on a transaction lifecycle event (before/after commit or rollback).

  - ### getOnTransaction

    public String getOnTransaction()
    Specified by:
      `getOnTransaction` in interface `FlowableEventListener`
    Returns:
      if non-null, indicates the point in the lifecycle of the current transaction when the event should be fired.

  - ### setOnTransaction

    public void setOnTransaction(String onTransaction)